
-- $Id: 1.2.sql,v 1.2 2008/02/23 08:41:34 rodney Exp $


-- Neues PRIMARY KEY Feld:
CREATE SEQUENCE users_id START WITH 100;
ALTER TABLE users ADD id NUMERIC(20) NOT NULL
      DEFAULT nextval('users_id');

-- Login ist nicht mehr PRIMARY KEY:
ALTER TABLE users DROP CONSTRAINT login;
ALTER TABLE users ADD PRIMARY KEY(id);

-- Login muss trotzdem eindeutig u. NOT NULL sein:
ALTER TABLE users ADD UNIQUE(login);
ALTER TABLE users ALTER login SET NOT NULL;

-- Felder "maildir" u. "users" duerfen auch NULL sein,
-- dann wird der Inhalt von wmaccmaint aufgefuellt.
ALTER TABLE users ALTER maildir DROP NOT NULL;
ALTER TABLE users ALTER home DROP NOT NULL;


CREATE TABLE admin (
  usr         NUMERIC(10) NOT NULL REFERENCES users (id),
  ag          NUMERIC(10) NOT NULL REFERENCES ag (id),
  admin       BOOLEAN DEFAULT false,
  PRIMARY KEY (usr,ag)
);



CREATE TABLE agdomain (
  domain           VARCHAR(80) NOT NULL, -- FIXME: lowercase!
  ag               NUMERIC(10) NOT NULL REFERENCES ag (id),
  PRIMARY KEY(domain, ag)
);


UPDATE meta SET val = '1.3' WHERE tag = 'dbversion';


COMMIT;
